%define anolis_release 2

Name:           libxkbcommon
Version:        1.4.0
Release:        %{anolis_release}%{?dist}
Summary:        X.Org X11 XKB parsing library

License:        MIT
URL:            http://xkbcommon.org/
Source0:        http://xkbcommon.org/download/%{name}-%{version}.tar.xz

BuildRequires:  git
BuildRequires:  meson
BuildRequires:  xorg-x11-util-macros
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  libX11-devel
BuildRequires:  xkeyboard-config-devel
BuildRequires:  byacc
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  pkgconfig(xcb-xkb)
BuildRequires:  libxml2-devel

Requires:       xkeyboard-config

%description
%{name} is the X.Org library for compiling XKB maps into formats usable by
the X Server or other display servers.

%package devel
Summary:        X.Org X11 XKB parsing development package
Requires:       %{name} = %{version}-%{release}

%description devel
X.Org X11 XKB parsing development package

%package x11
Summary:        X.Org X11 XKB keymap creation library
Requires:       %{name} = %{version}-%{release}

%description x11
%{name}-x11 is the X.Org library for creating keymaps by querying the X
server.

%package x11-devel
Summary:        X.Org X11 XKB keymap creation library
Requires:       %{name}-x11 = %{version}-%{release}

%description x11-devel
X.Org X11 XKB keymap creation library development package

%package utils
Summary:        X.Org X11 XKB parsing utilities
Requires:       %{name} = %{version}-%{release}

%description utils
%{name}-utils is a set of utilities to analyze and test XKB parsing.

%prep
%setup -q

%build
%meson -Denable-docs=false \
       -Denable-x11=true \
       -Denable-wayland=false
%meson_build

%install
%meson_install

%generate_compatibility_deps

%files
%dir %{abidir}
%license LICENSE
%{_libdir}/libxkbcommon.so.*
%{abidir}/libxkbcommon.dump
%{_libdir}/libxkbregistry.so.*
%{abidir}/libxkbregistry.dump

%files devel
%{_libdir}/libxkbcommon.so
%{_libdir}/libxkbregistry.so
%{_includedir}/xkbcommon/*
%{_libdir}/pkgconfig/xkbcommon.pc
%{_libdir}/pkgconfig/xkbregistry.pc

%files x11
%{_libdir}/libxkbcommon-x11.so.*
%{abidir}/libxkbcommon-x11.dump

%files x11-devel
%{_libdir}/libxkbcommon-x11.so
%{_includedir}/xkbcommon/xkbcommon-x11.h
%{_libdir}/pkgconfig/xkbcommon-x11.pc

%files utils
%{_bindir}/xkbcli
%{abidir}/xkbcli-option.list
%{_libexecdir}/xkbcommon/xkbcli*
%{_mandir}/man1/xkbcli*.1.gz

%changelog
* Wed Oct 19 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.4.0-2
- optimise spec file

* Wed Mar 09 2022 Su Lifan <su-lifan@linux.alibaba.com> - 1.4.0-1
- Initial packaging for Anolis OS 23
